javax.xml.transform

## Interface URIResolver

    public interface URIResolver

An object that implements this interface that can be called by the processor to turn a URI used in document(), xsl:import, or xsl:include into a Source object.

### Method Summary

All Methods Instance Methods Abstract Methods
`Source` `resolve(java.lang.String href, java.lang.String base)` Called by the processor when it encounters an xsl:include, xsl:import, or document() function.

### Method Detail

#### resolve

    Source resolve(java.lang.String href,
                   java.lang.String base)
            throws TransformerException

Called by the processor when it encounters an xsl:include, xsl:import, or document() function.

Parameters:
  `href` - An href attribute, which may be relative or absolute.
  `base` - The base URI in effect when the href attribute was encountered.
Returns:
  A Source object, or null if the href cannot be resolved, and the processor should try to resolve the URI itself.
Throws:
  `TransformerException` - if an error occurs when trying to resolve the URI.

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.